Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to install gearman on ubuntu 8.04 and this are the options i have.

1.Install package dependencies

sudo apt-get install make
sudo apt-get install build-essential
sudo apt-get install libboost-all-dev
sudo apt-get install libevent-dev
sudo apt-get install uuid-dev
sudo apt-get install libcloog-ppl0

and make gearman from source

2.apt-add from a ppa but i guess 8.04 is too ancient so that might not work

The first option almost works but

sudo apt-get install libboost-all-dev
sudo apt-get install libcloog-ppl0

give

E: Couldn't find package 

I have done some searching on

packages dot ubuntu dot com

but libboost-all-dev and libcloog-ppl0 are not available for hardy.

What other option do i have to install the missing packages?.

share|improve this question
    
I have successfully installed it on hardy.I shall add the answer after one day. –  Gandalf Jan 4 '13 at 19:27
    
you can post an answer straight away. The time limit only applies to accepting your own answer by clicking the green tick icon. –  Flimm Jan 5 '13 at 10:11

1 Answer 1

up vote 0 down vote accepted

To install gearman you are going to need this

https://launchpad.net/~drizzle-developers/+archive/ppa

and

https://launchpad.net/~gearman-developers/+archive/ppa

To get the deb entries and the fingerprint for the urls given,visit the links and click to toggle 'Technical details about this PPA'

Run this command with the fingerprint obtained from the said links

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys NUMBER

Run the above command for the two links given above.

do an update

sudo apt-get update

and then install gearman

sudo apt-get install gearman-job-server libgearman2 libgearman-dev gearman-tools

sudo pecl install channel://pecl.php.net/gearman-0.8.0

Add the generated php extension - extension=gearman.so to your php cli ini and php5 ini.

Note

  • I was unable to install the latest pecl package for gearman and only version 0.8.0 worked.

  • I did not have to upgrade any package on 8.04 for this to work.

  • I have php5-dev installed

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.